Package org.eclipse.m2m.atl.core.ui.launch

# Class RemoteAtlTabGroup

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
org.eclipse.m2m.atl.core.ui.launch.RemoteAtlTabGroup

All Implemented Interfaces:
  `org.eclipse.debug.ui.ILaunchConfigurationTabGroup`

public class RemoteAtlTabGroup extends org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
The remote ATL tab group.

## Field Summary

### Fields inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`fTabs`

## Constructor Summary

Constructors
Constructor
Description
`RemoteAtlTabGroup()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createTabs(org.eclipse.debug.ui.ILaunchConfigurationDialog dialog, String mode)`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`dispose, getTabs, initializeFrom, launched, performApply, setDefaults, setTabs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteAtlTabGroup

public RemoteAtlTabGroup()

## Method Details

### createTabs

public void createTabs(org.eclipse.debug.ui.ILaunchConfigurationDialog dialog, String mode)

See Also:
  - `ILaunchConfigurationTabGroup.createTabs(org.eclipse.debug.ui.ILaunchConfigurationDialog, java.lang.String)`